#define D3d_Init
///D3d_Init()
D3d_Set(false);
D3d_Set_Fog(false, c_black, 0, 300);
D3d_Set_Culling(false);
D3d_Set_Depth(0);
D3d_Set_Hidden(true);
D3d_Set_Lighting(false);
D3d_Set_Perspective(false);
D3d_Set_Shading(false);
D3d_Set_Zwriteenable(true);


#define D3d_Set
//D3d_Set(on)
//
//Start and end d3d.
//

if argument0 {
    global.gD3d_Get = true;
    d3d_start();
} else {
    global.gD3d_Get = false;
    d3d_end();
}


#define D3d_Set_Fog
///D3d_Set_Fog(enable,color,start,end);
//
//Usage: D3dFog() // Set fog back
//
//       D3dFog(enable,color,start,end); 
//

if argument_count > 0
global.gD3d_Fog = argument0;

if argument_count > 1
global.gFg_color = argument1;

if argument_count > 2
global.gFg_start = argument2;

if argument_count > 3
global.gFg_end = argument3;


d3d_set_fog(global.gD3d_Fog,global.gFg_color,global.gFg_start,global.gFg_end);


#define D3d_Set_Culling
///D3d_Set_Culling(cull)
if argument_count > 0
    global.gD3dGetCulling = argument[0];
d3d_set_culling(global.gD3dGetCulling);



#define D3d_Set_Depth
///D3d_Set_Depth(depth)
if argument_count > 0
    global.gD3dGetDepth = argument[0];
d3d_set_depth(global.gD3dGetDepth);



#define D3d_Set_Hidden
///D3d_Set_Hidden(enable)
if argument_count > 0
    global.gD3dGetHidden = argument[0];
d3d_set_hidden(global.gD3dGetHidden);


#define D3d_Set_Lighting
///D3d_Set_Lighting(enable)
if argument_count > 0
    global.gD3dGetLighting = argument[0];
d3d_set_lighting(global.gD3dGetLighting);



#define D3d_Set_Perspective
///D3d_Set_Perspective(enable)
if argument_count > 0
    global.gD3dGetPerspective = argument[0];
d3d_set_perspective(global.gD3dGetPerspective);



#define D3d_Set_Shading
///D3d_Set_Shading(smooth)
if argument_count > 0
    global.gD3dGetShading = argument[0];
d3d_set_shading(global.gD3dGetShading);



#define D3d_Set_Zwriteenable
///D3d_Set_Zwriteenable(on_off)
if argument_count > 0
    global.gD3dGetZwriteenable = argument[0];
d3d_set_zwriteenable(global.gD3dGetZwriteenable);