/// EvePlayerCollisionSolid()
var z1 = lZ + lHeight;
var z2 = lZ;

var vPlayerPointX, vSlopeX1, vSlopeX2, vSlopeZ2, vSlopeZ1;

if other.object_index == ObjSlope {
    vPlayerPointX = x-sprite_xoffset+sprite_width;
    with other {
        vSlopeX1 = x + hspeed;
        vSlopeX2 = x + sprite_width +hspeed;
        vSlopeZ2 = lZ2;
    }
    var vDist = (point_distance(vSlopeX1, 0, vPlayerPointX, 0)/other.sprite_width);
    
    if (vPlayerPointX >= vSlopeX1) && (vPlayerPointX <= vSlopeX2) 
        vSlopeZ1     = vSlopeZ2 + vDist*(other.lZ1-other.lZ2);
    else 
        vSlopeZ1 = other.lZ1;
    
    //side
    var vStep = 5;
    if (z2 < vSlopeZ1-vStep && z1 > vSlopeZ2) { 
      x = xprevious;
      y = yprevious;
      if (abs(hspeed) >= abs(vspeed) && not place_meeting(x+hspeed,y,other)) 
        { x += hspeed; exit;}
      if (abs(vspeed) >= abs(hspeed) && not place_meeting(x,y+vspeed,other)) 
        { y += vspeed; exit;}
      speed = 0;
    }
    
    //lands
    else 
    if z2 < vSlopeZ1-lZspeed && z2 > (vSlopeZ2)-1 { 
     lZspeed    =   0;
     lZ         =   vSlopeZ1;
     lOnFloor   =   true;
    }
    
    //hits head
    else 
    if z2 < vSlopeZ2 && z1 >= vSlopeZ2-lZspeed {
        lZspeed=-0.4;
        show_message('hit head!');
    }
} else {
    var vStep = 1; //Can be used to step up (kind of untested)

    //side
    if (z2<other.lZ1-vStep && z1>other.lZ2) { 
      x = xprevious;
      y = yprevious;
      if (abs(hspeed) >= abs(vspeed) && not place_meeting(x+hspeed,y,other)) 
        { x += hspeed; exit;}
      if (abs(vspeed) >= abs(hspeed) && not place_meeting(x,y+vspeed,other)) 
        { y += vspeed; exit;}
      speed = 0;
    }
    
    //lands
    else 
    if z2 < other.lZ1-lZspeed && z2 > (other.lZ2) { 
     lZspeed    =   0;
     lZ         =   other.lZ1;
     lOnFloor   =   true;
    }
    
    //hits head
    else 
    if z2 < other.lZ2 && z1 >= other.lZ2-lZspeed {
     lZspeed=-0.4;
    }
}




