///ScrDrawCamera()
//
// Thanks to Tepi for Camera tilting 
//     http://gmc.yoyogames.com/index.php?showtopic=437315#entry3206134
//
// Used for ObjPlayer and ObjEditor
//

draw_set_color(c_white);

var xfrom = x + lengthdir_x(lCamMove, lDirection+90);   //lCamMove pushes the camera left or right for peeking
var yfrom = y + lengthdir_y(lCamMove, lDirection+90);
var zfrom = lZ_Head;
var xto = xfrom + lengthdir_x(1, lDirection); //+ cos(degtorad(lDirection)); 
var yto = yfrom + lengthdir_y(1, lDirection); //- sin(degtorad(lDirection));
var zto = zfrom + lZdir;

//Titling camera //////////////////////////////////////////////////
var xx = xto - xfrom;
var yy = yto - yfrom;
var zz = zto - zfrom;
var dx = lengthdir_x(1,lCamTilt)/sqrt(xx*xx + yy*yy + zz*zz);
var dy = lengthdir_y(1,lCamTilt);
var xup = - dx*xx*zz - dy*yy;
var yup = dy*xx - dx*yy*zz;
var zup = dx*(xx*xx + yy*yy);
//////////////////////////////////////////////////////////////////

//xup = 0; yup = 0; zup = 1;

var angle = lFov;
var aspect = view_wview[0]/view_hview[0];
var znear = 1;
var zfar = 16000;

d3d_set_projection_ext(xfrom, yfrom, zfrom, 
xto, yto, zto, xup, yup, zup, angle, aspect, znear, zfar);

//d3d_set_projection(xfrom, yfrom, zfrom, 
//xto, yto, zto, xup, yup, zup);
