///ifinstance_create(obj or x,... y, obj)
//
//Creates instance only if the object doesn't allready exsist
//
//Usage: ifinstance_create(x, y, obj)
//   or ifinstance_create(obj) // will deafult to 0, 0.
//
//Return: Real or boolean 
//

if argument_count > 2 {
    var vObj = argument[2];
    var vInst = instance_exists(argument[2]);
    var vX = argument[0];
    var vY = argument[1];
} else {
    var vObj = argument[0];
    var vInst = instance_exists(argument[0]);
    var vX = 0;
    var vY = 0;
}

if !vInst {
    return instance_create(vX, vY, vObj);
}


