/// EvePlayerCollisionSolid()
var z1 = lZ + lHeight;
var z2 = lZ;

var vPlayerPointX, vSlopeX1, vSlopeX2, vSlopeZ2, vSlopeZ1;

if other.object_index == ObjSlope {
    vPlayerPointX = x-sprite_xoffset+sprite_width;
    
    with other {
        vSlopeX1 = x + hspeed;
        vSlopeX2 = x + sprite_width +hspeed;
        vSlopeZ2 = lZ2;
    }
    
    var vDist = (point_distance(vSlopeX1, 0, vPlayerPointX, 0)/other.sprite_width);
    
    //show_debug_message(vDist);
    
    vSlopeZ1     = vSlopeZ2 + vDist*(other.lZ1-other.lZ2);
    
    show_debug_message(vSlopeZ1);
    //show_debug_message(vDist*(other.lZ1-other.lZ2));
    
    if (vPlayerPointX >= vSlopeX1) 
    &&  vPlayerPointX <= vSlopeX2 {
        vSlopeZ1     = vSlopeZ2 + (point_distance(vSlopeX1, 0, vPlayerPointX, 0)/32)*32;
    } else vSlopeZ1 = other.lZ1;
    
    
    //side
    var vStep = 5;
    if (z2 < vSlopeZ1-vStep && z1 > vSlopeZ2) { 
      x = xprevious;
      y = yprevious;
      if (abs(hspeed) >= abs(vspeed) && not place_meeting(x+hspeed,y,other)) 
        { x += hspeed; exit;}
      if (abs(vspeed) >= abs(hspeed) && not place_meeting(x,y+vspeed,other)) 
        { y += vspeed; exit;}
      speed = 0;
    }
    
    
    //lands
    else 
    if z2 < vSlopeZ1-lZspeed && z2 > (vSlopeZ2)-1 { 
     lZspeed    =   0;
     lZ         =   vSlopeZ1;
     lOnFloor   =   true;
    }
    
    //hits head
    else 
    if z2 < vSlopeZ2 && z1 >= vSlopeZ2-lZspeed {
        lZspeed=-0.4;
    }

} else {
    var vStep = 1; //Can be used to step up (kind of untested)

    //side
    if (z2<other.lZ1-vStep && z1>other.lZ2) { 
      x = xprevious;
      y = yprevious;
      if (abs(hspeed) >= abs(vspeed) && not place_meeting(x+hspeed,y,other)) 
        { x += hspeed; exit;}
      if (abs(vspeed) >= abs(hspeed) && not place_meeting(x,y+vspeed,other)) 
        { y += vspeed; exit;}
      speed = 0;
    }
    
    //lands
    else 
    if z2 < other.lZ1-lZspeed && z2 > (other.lZ2) { 
     lZspeed    =   0;
     lZ         =   other.lZ1;
     lOnFloor   =   true;
    }
    
    //hits head
    else 
    if z2 < other.lZ2 && z1 >= other.lZ2-lZspeed {
     lZspeed=-0.4;
    }
}







/*
if other.object_index == ObjSlope {
    var vPlayerPointX = x-sprite_xoffset+sprite_width;
    if (vPlayerPointX >= other.x) 
    &&  vPlayerPointX-1 <= other.x+other.sprite_width {
        vSlopeZ1 = other.lZ2 + (point_distance(other.x, 0, vPlayerPointX, 0)/32)*32;//*(other.lZ1-other.lZ2);
        lZ = vSlopeZ1;
        show_debug_message( 'find_z = ' + string(vSlopeZ1));
        lZspeed    =   0;
    }

}
