///ScrLookMouse(Sensitivity)

//init sensitivity
var vSensitivity = argument0;

//init mouse change
var vWinMouseX = window_mouse_get_x();
var vWinMouseY = window_mouse_get_y();
var vWinWidth = floor(window_get_width()/2);    //floor is needed to prevent camera moving by its self,
var vWinHeight = floor(window_get_height()/2);              // when window is resized

//apply mouse movement
if vSensitivity<>0 {
    lDirection -= ((vWinMouseX - vWinWidth) / 10);
    while (lDirection > 359) lDirection -= 359;
    while (lDirection < 0)   lDirection += 359;
    lPitch = clamp(lPitch - ((vWinMouseY - vWinHeight) / 10), -75, 75);
    lZdir =  tan(degtorad(lPitch))
}

//set mouse position back
window_mouse_set(vWinWidth, vWinHeight);


