#define _ReadMe
/// PROJECT OVERVIEW ///////////////////////////////////////////////////////////////////

//*                  <           <          <     Coloring //*     No Coloring  /*

//   Middle click any resourse to edit it
// or click on it and press F12. Works in comments too!
    
// Game's Init
ScrGameStart()

// 3d Projection
ScrDrawCamera()

// Draw world
ScrDrawWorld()

// Player's -------------------------------------------------------------------------------------------
EvePlayerInit()     
EvePlayerInitDefaults()
EvePlayerStep()                  // Movement / Walking, Jumping, Gravity
EvePlayerEndStep()               // Stop falling if lZ is at 0
EvePlayerDraw()                  // Where ScrDrawWorld and ScrDrawCamera are executed
EvePlayerCollisionSolid()        // Collision with walls and floors
// Player's Scripts
ScrPlayerMovement()
ScrLookMouse(Sensitivity)


// Debuging -----------------------------------------------------------------------------------------
// debug key is `
EveControllerDrawGui()          //Debug Drawing
EveControllerStepEnd()          //Execute Debug Commands
                                    //Toggle Mouse
debug_command(str)              //Debug Commands



#define _ReadMe_StyleRules
/*

Everything is named to prevent naming conflicts, 

    And all resourses are name so you can easly find it using the tooltip. 
So for example you type Obj and it will list all of the objects.

//Previxes ------------------------------------------------------------------------------
    //Previxes are followed by a captial

    sprites' --------------Spr
    sprite Texture --------Stex
    background texture ----Btex
    Scripts ---------------Scr
    Script for an Event----Eve
    Sound effect ----------Sfx
    Background music-------Bgm
    objects' --------------Obj
    rooms'   --------------Rm

//Consitdents are all capitals normally followed by a previx and sperated by underscores
DIR_RIGHT = 0
DIR_LEFT  = 0
DIR_UP    = 0
DIR_DOWN  = 0

//All global varibles start with lowercase g, followed by a Captial-----------------------
//Like this
global.gHealth = 100;
global.gDelta = 1;

//All vars varibles start with a lowercase v, followed by a Captial------------------------
var vX = 0;
var vY = 0;
var vId = 0;
var vInst = instance_create(x, y, ObjBullet);

//All local varibles start with a lower case l, followed by a Captial----------------------
lDirection = 0;
lHp = 100;

var vConLeft = keyboard_check(vk_left)

if vConLeft {

}

//Don't add un needed brackets. ---------------------------------------
for (var i=0; i<10; i+=1) 
switch (EXPRESSION) {
    case EXPRESSION: STATEMENT; break;
    default: STATEMENT;
}
 

if (lHp <= 0) {
    instance_destroy();
}