///draw_text_button(str, x, y, ... heighlight color, ... color)
//
//tells you wheather the text was clicked or not
//
//ussage: draw_text_button(str, x, y)
//        draw_text_button(str, x, y, heighlight color)
//        draw_text_button(str, x, y, heighlight color, color)
//
//returns: boolean 
//

//init
var vStr = argument[0];
var vX   = argument[1];
var vY   = argument[2];

if (argument_count > 3)
    var vHighlightColor = argument[3];
else
    var vHighlightColor = c_red;

if (argument_count > 4)
    var vColor = argument[4];
else
    var vColor = c_black;
    
var vStartColor = draw_get_color();

//init mouse click
var vStrWidth = string_width(vStr);
var vStrHeight= string_height(vStr);

if point_in_rectangle(mouse_x, mouse_y, vX, vY, 
vX+vStrWidth, vY+StrHeight) {
    draw_set_color(vHighlightColor);
    var vReturn = mouse_check_button(mb_left);
} else {
    draw_set_color(vColor);
    var vReturn = false;
}

//draw text
draw_text(vX, vY, vStr);

//set color back
draw_set_color(vStartColor);

//return if clicked
return vReturn;

